package com.mofang.travel.marketing.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mofang.travel.commons.bean.ResponseResult;
import com.mofang.travel.marketing.base.bean.po.UserRidingCard;
import com.mofang.travel.marketing.base.mapper.UserRidingCardMapper;
import com.mofang.travel.marketing.base.redis.RedisClient;
import com.mofang.travel.marketing.base.service.UserRidingCardService;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Service
public class UserRidingCardServiceImpl implements UserRidingCardService {

    @Resource
    private RedisClient redisClient;

    @Resource
    private UserRidingCardMapper userRidingCardMapper;

    /**
     * 列表查询
     *
     * @return
     */
    public ResponseResult selectAll(String mobile, Long companyId) {
        QueryWrapper<UserRidingCard> queryWrapper = new QueryWrapper<>();
        return ResponseResult.ok(userRidingCardMapper.selectList(queryWrapper));
    }

}
