package com.mofang.travel.marketing.base.utils;

import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public class JsonUtils {

    /**
     * 校验json
     *
     * @param jsonStr
     * @return
     */
    public static boolean isJson(String jsonStr) {
        try {
            JSONObject.parseObject(jsonStr);
            return true;
        } catch (Exception e) {
            return false;
        }
    }

    /**
     * jsonStr to Map
     *
     * @param jsonStr
     * @return
     */
    public static Map<String, String> jsonToMap(String jsonStr) {
        Map map = JSONObject.parseObject(jsonStr, Map.class);
        return map;
    }
}
