package com.mofang.travel.marketing.base.bean.po;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 骑行卡类型
 *
 * @Date 10:41 2022/9/20
 * @Author zy
 **/
@Data
public class RidingCardType {

    private Long id;

    /**
     * 骑行卡产品id
     */
    private Long productId;

    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 手机号
     */
    private String mobile;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * app渠道
     */
    private Integer appFrom;
    /**
     * 产品类型
     */
    private Integer productType;
    /**
     * 购买用户id
     */
    private Integer buyerId;
    /**
     * 购买用户手机号
     */
    private String buyerMobile;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 初始数量（天，元，次）
     */
    private BigDecimal originalNumber;
    /**
     * 剩余数量（天，元，次）
     */
    private BigDecimal leftNumber;
    /**
     *
     */
    private Integer ridingFreqLimit;
    /**
     *
     */
    private Integer ridingTimeLimit;
    /**
     *
     */
    private Double ridingMileageLimit;
    /**
     *
     */
    private BigDecimal eachFreeAmount;
    /**
     *
     */
    private Integer autoRenewFlag;
    /**
     * 支付方式1微信，2支付宝
     */
    private Integer payMethod;
    /**
     * 0 不生效 1 生效
     */
    private Integer status;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date modifyTime;
}
