package com.mofang.travel.marketing.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mofang.travel.marketing.base.bean.po.UserRidingCard;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UserRidingCardMapper extends BaseMapper<UserRidingCard> {

    /**
     * 根据用户id和开始查询时间查询骑行卡列表
     *
     * @param userId
     * @param startTime
     * @return
     */
    List<UserRidingCard> selectByUserIdAndStartTime(@Param("userId") Long userId, @Param("startTime") String startTime);
}
