package com.mofang.travel.marketing.base.service.impl;

import com.mofang.travel.commons.bean.ResponseResult;
import com.mofang.travel.marketing.api.BikeIconServiceApi;
import com.mofang.travel.marketing.base.mapper.BikeIconMapper;
import com.mofang.travel.marketing.base.service.BikeIconService;
import com.mofang.travel.marketing.domain.entity.BikeIconVo;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * dubbo
 *
 * @Date 18:30 2022/9/19
 * @Author zy
 **/
// 这里需要注意 implements 的接口 只会注册第一个实现到dubbo
@Component
@Service
public class BikeIconServiceImpl implements BikeIconServiceApi, BikeIconService {

    @Resource
    private BikeIconMapper bikeIconMapper;

    @Override
    public ResponseResult<List<BikeIconVo>> selectBikeIcon() {
        return ResponseResult.ok(bikeIconMapper.selectByBikeIcon());
    }

}
